=== debian/changelog ===
cppcheck (1.66-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1373058)

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 26 Sep 2014 10:36:45 +0100

cppcheck (1.66-1) unstable; urgency=medium

  * New upstream release
  * patches: Remove all patches
  * rules: Install without makefile

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 03 Aug 2014 21:56:54 +0300

cppcheck (1.65-1) unstable; urgency=low

  * New upstream release. Closes: #734617
  * rules: Disable tests, disable upstream changelog
  * control: Standards-version: 3.9.4 -> 3.9.5
  * watch: Add dversionmangle
  * copyright: htdocs excluded, format url updated. Closes: #735502
  * patches: Disable installation of htmlreport and fix CFGDIR install
  * dirs: Add usr/share/cppcheck/cfg

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 11 May 2014 09:42:04 +0300

cppcheck (1.62-1) unstable; urgency=low

  * New upstream release
  * rules: Install upstream.changelog to /usr/share/doc/cppcheck/

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Wed, 30 Oct 2013 22:21:09 +0200
