## cppcheck 1.67

=== Makefile ===
--- 
+++ 
@@ -118,12 +118,12 @@
 LIBOBJ =      $(SRCDIR)/check.o \
               $(SRCDIR)/check64bit.o \
               $(SRCDIR)/checkassert.o \
-              $(SRCDIR)/checkassignif.o \
               $(SRCDIR)/checkautovariables.o \
               $(SRCDIR)/checkbool.o \
               $(SRCDIR)/checkboost.o \
               $(SRCDIR)/checkbufferoverrun.o \
               $(SRCDIR)/checkclass.o \
+              $(SRCDIR)/checkcondition.o \
               $(SRCDIR)/checkexceptionsafety.o \
               $(SRCDIR)/checkinternal.o \
               $(SRCDIR)/checkio.o \
@@ -131,14 +131,17 @@
               $(SRCDIR)/checkmemoryleak.o \
               $(SRCDIR)/checknonreentrantfunctions.o \
               $(SRCDIR)/checknullpointer.o \
-              $(SRCDIR)/checkobsoletefunctions.o \
+              $(SRCDIR)/checkobsolescentfunctions.o \
               $(SRCDIR)/checkother.o \
               $(SRCDIR)/checkpostfixoperator.o \
               $(SRCDIR)/checksizeof.o \
               $(SRCDIR)/checkstl.o \
+              $(SRCDIR)/checkstring.o \
+              $(SRCDIR)/checktype.o \
               $(SRCDIR)/checkuninitvar.o \
               $(SRCDIR)/checkunusedfunctions.o \
               $(SRCDIR)/checkunusedvar.o \
+              $(SRCDIR)/checkvaarg.o \
               $(SRCDIR)/cppcheck.o \
               $(SRCDIR)/errorlogger.o \
               $(SRCDIR)/executionpath.o \
@@ -166,7 +169,6 @@
 TESTOBJ =     test/options.o \
               test/test64bit.o \
               test/testassert.o \
-              test/testassignif.o \
               test/testautovariables.o \
               test/testbool.o \
               test/testboost.o \
@@ -174,12 +176,13 @@
               test/testcharvar.o \
               test/testclass.o \
               test/testcmdlineparser.o \
+              test/testcondition.o \
               test/testconstructors.o \
               test/testcppcheck.o \
-              test/testdivision.o \
               test/testerrorlogger.o \
               test/testexceptionsafety.o \
               test/testfilelister.o \
+              test/testgarbage.o \
               test/testincompletestatement.o \
               test/testinternal.o \
               test/testio.o \
@@ -189,7 +192,7 @@
               test/testmemleak.o \
               test/testnonreentrantfunctions.o \
               test/testnullpointer.o \
-              test/testobsoletefunctions.o \
+              test/testobsolescentfunctions.o \
               test/testoptions.o \
               test/testother.o \
               test/testpath.o \
@@ -198,9 +201,12 @@
               test/testpreprocessor.o \
               test/testrunner.o \
               test/testsamples.o \
+              test/testsimplifytemplate.o \
               test/testsimplifytokens.o \
+              test/testsimplifytypedef.o \
               test/testsizeof.o \
               test/teststl.o \
+              test/teststring.o \
               test/testsuite.o \
               test/testsuppressions.o \
               test/testsymboldatabase.o \
@@ -208,11 +214,14 @@
               test/testtimer.o \
               test/testtoken.o \
               test/testtokenize.o \
+              test/testtype.o \
               test/testuninitvar.o \
               test/testunusedfunctions.o \
               test/testunusedprivfunc.o \
               test/testunusedvar.o \
-              test/testvalueflow.o
+              test/testvaarg.o \
+              test/testvalueflow.o \
+              test/testvarid.o
 
 ifndef TINYXML
     TINYXML = externals/tinyxml/tinyxml2.o
@@ -263,8 +272,8 @@
 	install cppcheck ${BIN}
 	install htmlreport/cppcheck-htmlreport ${BIN}
 ifdef CFGDIR 
-	install -d ${CFGDIR}
-	install -m 644 cfg/* ${CFGDIR}
+	install -d ${DESTDIR}${CFGDIR}
+	install -m 644 cfg/* ${DESTDIR}${CFGDIR}
 endif
 
 
@@ -279,9 +288,6 @@
 $(SRCDIR)/checkassert.o: lib/checkassert.cpp lib/cxx11emu.h lib/checkassert.h lib/config.h lib/check.h lib/token.h lib/valueflow.h lib/mathlib.h lib/tokenize.h lib/errorlogger.h lib/suppressions.h lib/tokenlist.h lib/settings.h lib/library.h lib/path.h lib/standards.h lib/timer.h lib/symboldatabase.h
 	$(CXX) ${INCLUDE_FOR_LIB} $(CPPFLAGS) $(CFG) $(CXXFLAGS) $(UNDEF_STRICT_ANSI) -std=c++0x -c -o $(SRCDIR)/checkassert.o $(SRCDIR)/checkassert.cpp
 
-$(SRCDIR)/checkassignif.o: lib/checkassignif.cpp lib/cxx11emu.h lib/checkassignif.h lib/config.h lib/check.h lib/token.h lib/valueflow.h lib/mathlib.h lib/tokenize.h lib/errorlogger.h lib/suppressions.h lib/tokenlist.h lib/settings.h lib/library.h lib/path.h lib/standards.h lib/timer.h lib/symboldatabase.h
-	$(CXX) ${INCLUDE_FOR_LIB} $(CPPFLAGS) $(CFG) $(CXXFLAGS) $(UNDEF_STRICT_ANSI) -std=c++0x -c -o $(SRCDIR)/checkassignif.o $(SRCDIR)/checkassignif.cpp
-
 $(SRCDIR)/checkautovariables.o: lib/checkautovariables.cpp lib/cxx11emu.h lib/checkautovariables.h lib/config.h lib/check.h lib/token.h lib/valueflow.h lib/mathlib.h lib/tokenize.h lib/errorlogger.h lib/suppressions.h lib/tokenlist.h lib/settings.h lib/library.h lib/path.h lib/standards.h lib/timer.h lib/symboldatabase.h
 	$(CXX) ${INCLUDE_FOR_LIB} $(CPPFLAGS) $(CFG) $(CXXFLAGS) $(UNDEF_STRICT_ANSI) -std=c++0x -c -o $(SRCDIR)/checkautovariables.o $(SRCDIR)/checkautovariables.cpp
