=== debian/changelog ===
cppcheck (1.67-1) unstable; urgency=low

  * New upstream release
  * control: Standards-version 3.9.5 -> 3.9.6
  * copyright: Remove htdocs, remove nonexisting files, update years

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 19 Oct 2014 23:21:10 +0300
