=== debian/changelog ===
cppcheck (1.69-1build1) wily; urgency=medium

  * No-change rebuild against libtinyxml2-2v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:28:42 +0200

cppcheck (1.69-1) unstable; urgency=low

  * New upstream release
  * Fix misprocessing of typedef. Closes: #706496
  * Fix goto handling. Closes: #706498
  * Fix cpp synbol handing in C code. Closes: #718801
  * Fix internal error. Closes: #723892
  * Fix variable scope check. Closes: #754215
  * Fix new version. Closes: #776581
  * Fix segfault. Closes: #778926

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sat, 02 May 2015 21:38:07 +0300

cppcheck (1.68-1) unstable; urgency=low

  * New upstream release
  * copyright: Use simplified copyright format like it is in the source files

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Wed, 18 Mar 2015 22:13:52 +0200
