## cppcheck 1.71

=== debian/changelog ===
cppcheck (1.71-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Sun, 03 Jan 2016 11:27:52 +0100

cppcheck (1.70-2) unstable; urgency=medium

  * Add binary package cppcheck-gui (Closes: #619297).
  * Distribute cppcheck-htmlreport in the binary package cppcheck and add
    Depends: python-pygments (Closes: #671757).

 -- Joachim Reichel <reichel@debian.org>  Sat, 12 Sep 2015 20:24:37 +0200

cppcheck (1.70-1) unstable; urgency=medium

  * New upstream release.
  * Fix CFGDIR setting broken in 1.69-2.

 -- Joachim Reichel <reichel@debian.org>  Tue, 08 Sep 2015 19:19:28 +0200

cppcheck (1.69-2) unstable; urgency=medium

  * New maintainer.
  * Support parallel builds, thanks to Aron Xu for the patch (Closes: #788649).
  * Fix Homepage: in debian/control (Closes: #786503).

 -- Joachim Reichel <reichel@debian.org>  Sat, 05 Sep 2015 14:44:32 +0200
