## cppcheck 1.72

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 project(CppCheck)
 cmake_minimum_required(VERSION 2.8)
+
+include(GNUInstallDirs)
 
 include(cmake/versions.cmake REQUIRED)
 include(cmake/options.cmake REQUIRED)
@@ -10,6 +12,10 @@
 
 file(GLOB cfgs "cfg/*.cfg")
 
+if (BUILD_TESTS)
+    enable_testing()
+endif()
+
 add_subdirectory(externals/tinyxml)
 add_subdirectory(lib)   # CppCheck Library 
 add_subdirectory(cli)   # Client application
