=== debian/changelog ===
cppcheck (1.72-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Sat, 13 Feb 2016 07:57:44 +0100
