=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# for DEB_VERSION_UPSTREAM
include /usr/share/dpkg/pkg-info.mk

DB2MAN      = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP          = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
DESTDIR     = $(CURDIR)/debian/cppcheck
DESTDIR_GUI = $(CURDIR)/debian/cppcheck-gui

override_dh_auto_build:
	mv externals externals.disabled
	sed -i.nocppflags -e 's/\$$(CXX) \$$(CXXFLAGS)/$$(CXX) $$(CPPFLAGS) $$(CXXFLAGS)/' Makefile
	dh_auto_build -- CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes TINYXML=-ltinyxml2 INCLUDE_FOR_LIB=-Ilib INCLUDE_FOR_CLI=-Ilib "INCLUDE_FOR_TEST=-Ilib -Icli"
	$(XP) $(DB2MAN) man/cppcheck.1.xml
	cd gui; qmake -qt=5 HAVE_RULES=yes
	sed -i -e 's/^CFLAGS *=/CFLAGS += $$(CPPFLAGS)/;s/^CXXFLAGS *=/CXXFLAGS += $$(CPPFLAGS)/;s/^LFLAGS *=/LFLAGS += $$(LDFLAGS)/' gui/Makefile
	dh_auto_build -- -C gui HAVE_RULES=yes
	sed -e "s/1.70/$(DEB_VERSION_UPSTREAM)/" debian/cppcheck-htmlreport.1.in >debian/cppcheck-htmlreport.1
	mv externals.disabled externals

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f Makefile.nocppflags ] || mv -f Makefile.nocppflags Makefile
	[ ! -f gui/Makefile ] || $(MAKE) -C gui clean
	rm -f gui/Makefile gui/cppcheck-gui debian/cppcheck-htmlreport.1

override_dh_auto_test:
# This is currently disabled because testing requires configuration files that are added only during the install
#	dh_auto_test -- CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes TINYXML=-ltinyxml2 INCLUDE_FOR_LIB=-Ilib INCLUDE_FOR_CLI=-Ilib "INCLUDE_FOR_TEST=-Ilib -Icli"

override_dh_auto_install:
	install -d ${DESTDIR}/usr/bin
	install cppcheck ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/usr/share/cppcheck/cfg
	install -m 644 cfg/* ${DESTDIR}/usr/share/cppcheck/cfg
	install htmlreport/cppcheck-htmlreport ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/usr/share/man/man1
	install debian/cppcheck-htmlreport.1 ${DESTDIR}/usr/share/man/man1
# Changelog disabled, because it doesn't seem to work
#	install -D -g 0 -o 0 -m 644 -p debian/changelog.upstream ${DESTDIR}/usr/share/doc/cppcheck/
	install -d ${DESTDIR_GUI}/usr/bin
	install gui/cppcheck-gui ${DESTDIR_GUI}/usr/bin

%:
	dh $@ --parallel --with python2
