## cppcheck 1.73

=== debian/changelog ===
cppcheck (1.73-1build1) yakkety; urgency=medium

  * No-change rebuild against libtinyxml2-3.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 May 2016 00:47:24 -0400

cppcheck (1.73-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.8 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sun, 24 Apr 2016 20:02:28 +0200
